package vclaimsephist

import (
	"net/http"

	e "simrs-vx/internal/domain/bpjs-entities/vclaim-sep-hist"
	u "simrs-vx/internal/use-case/bpjs-use-case/vclaim-sep-hist"

	rw "github.com/karincake/risoles"
	sf "github.com/karincake/semprit"
)

type myBase struct{}

var O myBase

func (obj myBase) GetList(w http.ResponseWriter, r *http.Request) {
	dto := e.ReadListDto{}
	sf.UrlQueryParam(&dto, *r.URL)
	res, err := u.ReadList(dto)
	rw.DataResponse(w, res, err)
}
